Page MenuHomeFreeBSD

New port: www/py-dj21-django-auth-ldap: LDAP integration for django.contrib.auth
ClosedPublic

Authored by kai on Mar 13 2019, 9:51 PM.

Details

Summary

Repo-copy www/py-django-auth-ldap and assign it to Django 2.1 to enable LDAP authentication with net-mgmt/netbox that has been switched to Django 2.1 recently.

Also limit the port to Python 3.5+ as Django 2.1 requires it as minimum dependency and to save some overhead in the building infrastructure.

Requested by: Thomas Kurschel (via private email)
Approved by: (one of the mentors)

Test Plan
  • poudriere (11.2, 12.0-RELEASE, 13.0-CURRENT@r344874 amd64 + i386) for the py36 flavor -> OK
  • portlint -> OK
  • Runtime tests -> OK

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

kai created this revision.Mar 13 2019, 9:51 PM
kai edited the summary of this revision. (Show Details)Mar 14 2019, 10:38 AM
miwi accepted this revision.Mar 14 2019, 12:37 PM

LGTM

This revision is now accepted and ready to land.Mar 14 2019, 12:37 PM
kai updated this revision to Diff 55074.Mar 14 2019, 8:04 PM

Forgot to add CONFLICTS_INSTALL for www/py-dj21-django-auth-ldap + www/py-django-auth-ldap .

This revision now requires review to proceed.Mar 14 2019, 8:04 PM
miwi accepted this revision.Mar 25 2019, 7:54 AM

LGTM

This revision is now accepted and ready to land.Mar 25 2019, 7:54 AM
This revision was automatically updated to reflect the committed changes.